#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# FilterTexture Class

Defined in: `src/pixi/renderers/webgl/utils/FilterTexture.js:5`
Module: PIXI

## Constructor

### `FilterTexture`

(

- `gl`
- `width`
- `height`
- `scaleMode`

)

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:5`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- `width` Number

  the horizontal range of the filter

- `height` Number

  the vertical range of the filter

- `scaleMode` Number

  Should be one of the PIXI.scaleMode consts

- Index
- Methods
- Properties

## Item Index

### Methods

- clear
- destroy
- resize

### Properties

- frameBuffer
- gl
- scaleMode
- texture

## Methods

### `clear`

()

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:61`

Clears the filter texture.

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:97`

Destroys the filter texture.

### `resize`

(

- `width`
- `height`

)

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:74`

Resizes the texture to the specified width and height

#### Parameters:

- `width` Number

  the new width of the texture

- `height` Number

  the new height of the texture

## Properties

### `frameBuffer`

Any

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:23`

### `gl`

WebGLContext

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:15`

### `scaleMode`

Number

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:35`

### `texture`

Any

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:29`